import { jsx as _jsx } from "react/jsx-runtime";
import { memo, useMemo } from 'react';
import { VerbDescription } from '../verbForm/VerbDescription.js';
export const FillDescription = /*#__PURE__*/ memo(function FillDescription(props) {
    const rows = useMemo(()=>{
        const { step: { args  } ,  } = props;
        return [
            {
                before: 'with value',
                value: args.value
            }, 
        ];
    }, [
        props
    ]);
    return /*#__PURE__*/ _jsx(VerbDescription, {
        ...props,
        rows: rows
    });
});
